Subject: Re: [PATCH 1/9] Define a structure for object IDs.

From: Andreas Schwab <[email-masked]>
Date: Sun, 04 May 2014 20:01:53 +0200

David Kastrup <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> David Kastrup <[email-masked]> writes:
>>
>>> Andreas Schwab <[email-masked]> writes:
>>>
>>>> "brian m. carlson" <[email-masked]> writes:
>>>>
>>>>> I don't even plan to write the code assuming that offsetof(struct
>>>>> object_id, oid) is 0.
>>>>
>>>> This is guaranteed by the C standard, though.
>>>
>>> Any reference?
>>
>> §6.7.2.1#15
>
> More like #13.

I don't know what you mean, but this is a C11 reference.

> I am pretty sure, however, that this has not always been the case.

You are wrong.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."